org.eclipse.mat.inspections

## Class FindLeaksQuery2.AccumulationPoint

- java.lang.Object
- - org.eclipse.mat.inspections.FindLeaksQuery.AccumulationPoint
  - - org.eclipse.mat.inspections.FindLeaksQuery2.AccumulationPoint

Enclosing class:
  FindLeaksQuery2

    public static class FindLeaksQuery2.AccumulationPoint
    extends FindLeaksQuery.AccumulationPoint

### Constructor Summary

Constructors
Constructor and Description
`AccumulationPoint(IObject object, long retainedSize, int[] path)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int[]` `getPath()`
`long` `getRetainedHeapSize()`

### Methods inherited from class org.eclipse.mat.inspections.FindLeaksQuery.AccumulationPoint

`getObject`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccumulationPoint

    public AccumulationPoint(IObject object,
                             long retainedSize,
                             int[] path)

### Method Detail

#### getRetainedHeapSize

    public long getRetainedHeapSize()

Overrides:
  `getRetainedHeapSize` in class `FindLeaksQuery.AccumulationPoint`

#### getPath

    public int[] getPath()